=== debian/changelog ===
cloop (2.6.28.2.1ubuntu1) jaunty; urgency=low

  * Merge with Debian; remaining changes:
    - Do not build the cloop-src package.
    - Fix build failure with g++-4.3.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Jan 2009 12:01:30 +0100

cloop (2.6.28.2.1) unstable; urgency=low

  * Big merge with version 2.628-2 from Knoppix sources
  * Moved Knoppix' changelog file to changelog.knoppix, delivered with another
    older CHANGELOG as a single upstream changelog file
  * Beautification of control and copyright files, dropped postrm

 -- Eduard Bloch <blade@debian.org>  Mon,  4 Dec 2006 00:11:52 +0100
