=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

SHELL=/bin/bash

PACKAGE=cloop-module
MA_DIR ?= /usr/share/modass
-include $(MA_DIR)/include/generic.mk
-include $(MA_DIR)/include/common-rules.mk

NCPUS := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)

binary: binary-indep binary-arch

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE) -j$(NCPUS) utils
	touch build-stamp

# for m-a
kdist_clean: clean
kdist_config: kdist_configure
kdist_configure: prep-deb-files

binary-modules: kdist_configure
	$(MAKE) module KERNEL_DIR=$(KSRC)  KVERSION=$(KVERS)
	dh_installdirs -p $(PKGNAME) lib/modules/$(KVERS)/extra 
	cp *.ko $(CURDIR)/debian/$(PKGNAME)/lib/modules/$(KVERS)/extra 
	dh_testdir -a
	dh_testroot -a
	dh_installdebconf -a
	dh_installdocs -a README debian/README.Debian
	dh_installchangelogs CHANGELOG -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_gencontrol -a -- -v$(VERSION)
	dh_md5sums -a
	dh_builddeb -a --destdir=$(DEB_DESTDIR)

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean || true
	-dh_clean
	rm -rf debian/cloop-?.?.?* debian/cloop debian/cloop-module debian/cloop-module-?.?.* debian/*.files knoppix CHANGELOG_

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -p cloop-utils usr/bin
	install -m 755 create_compressed_fs  $(CURDIR)/debian/cloop-utils/usr/bin/
#	install -m 755 advancecomp-1.9_create_compressed_fs/advfs  $(CURDIR)/debian/cloop-utils/usr/bin/
#	install -m 755 compressloop          $(CURDIR)/debian/cloop-utils/usr/bin/
	install -m 755 extract_compressed_fs $(CURDIR)/debian/cloop-utils/usr/bin/
	dh_installman -p cloop-utils $(CURDIR)/debian/create_compressed_fs.1
	cd $(CURDIR)/debian/cloop-utils/usr/share/man/man1 && ln -sf create_compressed_fs.1 extract_compressed_fs.1 && ln -sf create_compressed_fs.1 advfs.1
#	dh_installman $(CURDIR)/debian/compressloop.1
	cd debian/cloop-utils/usr/share/man/man1 && ln -s create_compressed_fs.1.gz extract_compressed_fs.1.gz

install-src: configure-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -p cloop-src usr/src/modules/cloop
	echo $$UID
	tar -cf - {Makefile,*.[ch],debian/{po,compat,*template*,control*,copyright,rules,dirs,*_KVERS_*,README.Debian,changelog},README} | tar -x -C debian/cloop-src/usr/src/modules/cloop
	cat changelog.knoppix CHANGELOG > debian/cloop-src/usr/src/modules/cloop/CHANGELOG
	dh_fixperms -i
	cd debian/cloop-src/usr/src ; tar -cf - modules | bzip2 -9 > cloop.tar.bz2 ; rm -rf modules

binary-arch: build install build-deb

binary-indep: build-indep

build-deb:
	dh_testdir -a
	dh_testroot -a
	dh_installdebconf -a
	dh_installdocs -a README debian/README.Debian
	dh_installexamples -a cloop-node-control.sh
	cat changelog.knoppix  CHANGELOG > CHANGELOG_ && dh_installchangelogs CHANGELOG_ -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

build-indep: configure-stamp
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i README debian/README.Debian
	dh_installexamples -i
	cat changelog.knoppix CHANGELOG > CHANGELOG_ && dh_installchangelogs CHANGELOG_ -i
	dh_strip -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

.PHONY: build clean binary-indep binary-arch binary kdist kdist_image kdist_configure kdist_clean kdist
.NOTPARALLEL:
