## cloop 2.6.28.2.2ubuntu1

=== debian/changelog ===
cloop (2.6.28.2.2ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Do not build the cloop-src package.
  * Dropped changes, superseded in Debian package:
    - Fix build failure with g++-4.3.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 03 Jun 2009 20:46:51 +0000

cloop (2.6.28.2.2) unstable; urgency=low

  * STL related fixes (using numeric_limits instead of INT_MAX, 
    closes: #521908) and minor compiler warning fixes in extract_compressed_fs.c
  * Changed default thread count to dynamic configuration, unless set by user
  * stop bothering about "too much data" with -s switch when the overall data
    size has hit the block boundaries

 -- Eduard Bloch <blade@debian.org>  Mon, 30 Mar 2009 23:38:12 +0200
