=== debian/control ===
Source: cloop
Section: misc
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>> 5.0.0), zlib1g-dev, bzip2
Standards-Version: 3.7.2

Package: cloop-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tools for handling with cloop compressed volumes
 Utilities for creating and unpacking compressed loopback files
 for cloop.
