## cloop 2.6.31.1.1

=== debian/changelog ===
cloop (2.6.31.1.1) unstable; urgency=low

  * Picked up relevant changes from upstream version 2.631-1
  * Updated config.{sub,guess} (closes: #535841)
  * added Spanish debconf translation from Shukoh (closes: #557002)

 -- Eduard Bloch <blade@debian.org>  Thu, 14 Jan 2010 22:28:22 +0100
