=== debian/control ===
Source: cloop
Section: misc
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>> 5.0.0), zlib1g-dev, bzip2
Standards-Version: 3.8.3

Package: cloop-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tools for handling with cloop compressed volumes
 Utilities for creating and unpacking compressed loopback files
 for cloop.

Package: cloop-src
Architecture: all
Depends: module-assistant, debhelper (>= 5.0.37), bzip2, ${misc:Depends}
Suggests: linux-headers-2.6
Description: Source of the compressed loopback device module
 This package contains a source package for building the cloop module.
 You can use module-assistant or make-kpkg to build a modules package for
 specific kernel.
