=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,12 @@
 
 configure: configure-stamp
 configure-stamp:
+ifneq "$(wildcard /usr/share/misc/config.sub)" ""
+	cp -f /usr/share/misc/config.sub advancecomp-*/config.sub
+endif
+ifneq "$(wildcard /usr/share/misc/config.guess)" ""
+	cp -f /usr/share/misc/config.guess advancecomp-*/config.guess
+endif
 	dh_testdir
 	touch configure-stamp
 
@@ -88,7 +94,7 @@
 
 binary-arch: build install build-deb
 
-binary-indep: build-indep
+binary-indep: install-src build-indep
 
 build-deb:
 	dh_testdir -a
@@ -107,7 +113,7 @@
 	dh_md5sums -a
 	dh_builddeb -a
 
-build-indep: configure-stamp
+build-indep: configure-stamp install-src
 	dh_testdir -i
 	dh_testroot -i
 	dh_installdocs -i README debian/README.Debian
