## cloop 2.6.31.1.1ubuntu1

=== debian/changelog ===
cloop (2.6.31.1.1ubuntu1) lucid; urgency=low

  * Merge from Debian testing, remaining changes:
    - Do not build the cloop-src package.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 27 Jan 2010 09:23:19 -0800
