=== debian/rules ===
--- 
+++ 
@@ -94,7 +94,7 @@
 
 binary-arch: build install build-deb
 
-binary-indep: install-src build-indep
+binary-indep: build-indep
 
 build-deb:
 	dh_testdir -a
@@ -113,7 +113,7 @@
 	dh_md5sums -a
 	dh_builddeb -a
 
-build-indep: configure-stamp install-src
+build-indep: configure-stamp
 	dh_testdir -i
 	dh_testroot -i
 	dh_installdocs -i README debian/README.Debian
