## cloop 2.6.39.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make
 
 MACHINE=$(shell uname -m)
-KERNEL_DIR=/usr/src/linux
+ifndef KERNEL_DIR
+KERNEL_DIR:=/lib/modules/`uname -r`/build
+endif
 
 file_exist=$(shell test -f $(1) && echo yes || echo no)
 
@@ -16,7 +18,7 @@
 CFLAGS:=-Wall -Wstrict-prototypes -Wno-trigraphs -O2 -s -I. -fno-strict-aliasing -fno-common -fomit-frame-pointer 
 endif
 
-KERNOBJ:=compressed_loop.o
+KERNOBJ:=cloop.o
 
 # Name of module
 ifeq ($(PATCHLEVEL),6)
@@ -38,9 +40,9 @@
 
 # For Kernel 2.6, we now use the "recommended" way to build kernel modules
 obj-m := cloop.o
-cloop-objs := compressed_loop.o
+# cloop-objs := cloop.o
 
-$(MODULE): compressed_loop.c compressed_loop.h
+$(MODULE): cloop.c cloop.h
 	@echo "Building for Kernel Patchlevel $(PATCHLEVEL)"
 	$(MAKE) modules -C $(KERNEL_DIR) M=$(CURDIR)
 
@@ -54,15 +56,13 @@
 	$(CC) -Wall -O2 -s -o $@ $< -lz
 
 cloop_suspend: cloop_suspend.o
-	$(CC) -o $@ $<
+	$(CC) -Wall -O2 -s -o $@ $<
 
 clean:
-	rm -rf create_compressed_fs extract_compressed_fs zoom *.o *.ko Module.symvers .cloop* .compressed_loop.* .tmp* modules.order cloop.mod.c
+	rm -rf create_compressed_fs extract_compressed_fs zoom *.o *.ko Module.symvers .cloop* .compressed_loop.* .tmp*
 	[ -f advancecomp-1.15/Makefile ] && $(MAKE) -C advancecomp-1.15 distclean || true
 
 dist: clean
 	cd .. ; \
 	tar -cf - cloop/{Makefile,*.[ch],CHANGELOG,README} | \
 	bzip2 -9 > $(HOME)/redhat/SOURCES/cloop.tar.bz2
-
-compressed_loop.o create_compressed_fs.o: compressed_loop.h
