=== debian/changelog ===
cloop (2.6.39.2-1ubuntu3) saucy; urgency=low

  * Regenerate the autotools patch to support AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Oct 2013 13:23:06 +0200

cloop (2.6.39.2-1ubuntu2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Oct 2012 20:56:20 +0100

cloop (2.6.39.2-1ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - Do not build the cloop-src package.
  * Add Pre-Depends on dpkg (>= 1.15.6~) since we're using xz compression.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Jan 2012 22:52:50 -0800

cloop (2.6.39.2-1) unstable; urgency=low

  * Imported new upstream version (closes: 436090, 632603)
  * Converted Debian source format to 3.0 (quilt), also using xz where possible
  * Move linux-headers-2.6 dependency to linux-headers (closes: 628872)
  * Merged extra changelog.knoppix file (documenting Knopper's branch changes)
    into common debian/changelog file, dropped the build time merging mess
  * Danish translation of the debconf templates from Joe Dalton (closes: 627713)
  * Korean translation of the debconf templates from 임영재 (closes: 632291)
 
 -- Eduard Bloch <blade@debian.org>  Mon, 12 Dec 2011 23:40:53 +0100

cloop (2.639-2) unstable; urgency=low

  * Change compressed_loop.h -> cloop.h everywhere.

 -- Klaus Knopper <knoppix@knopper.net>  Wed, 06 Jul 2011 18:43:20 +0200

cloop (2.639-1) unstable; urgency=low

  * Changes for kernel 2.6.39, replace lock_kernel() by mutex_lock()

 -- Klaus Knopper <knoppix@knopper.net>  Tue, 10 May 2011 14:18:21 +0200

cloop (2.637-1) unstable; urgency=low

  * Add compat_ioctl for compilation in 64bit mode.

 -- Klaus Knopper <knoppix@knopper.net>  Tue, 11 Jan 2011 22:57:31 +0100

cloop (2.636-1) unstable; urgency=low

  * Changes for new kernel 2.6.36 removed block layer api function and
    locked_ioctl.

 -- Klaus Knopper <knoppix@knopper.net>  Mon, 25 Oct 2010 22:40:25 +0200

cloop (2.634-1) unstable; urgency=low

  * Changes for new kernel 2.6.34 sector limit functions
  * Set device read-only by default

 -- Klaus Knopper <knoppix@knopper.net>  Wed, 25 Aug 2010 13:36:01 +0200

cloop (2.628-2) unstable; urgency=low

  * Reflect kernel 2.6.28 block device API changes in order to actually work.

 -- Klaus Knopper <knoppix@knopper.net>  Tue, 04 Nov 2008 18:38:02 +0100

cloop (2.628-1) unstable; urgency=low

  *  Minor source modifications for compiling with kernel 2.6.28

 -- Klaus Knopper <knoppix@knopper.net>  Sat, 25 Oct 2008 23:11:39 +0200

cloop (2.625-1) unstable; urgency=low

  * Kernel 2.6.25/26 api changes

 -- Klaus Knopper <knoppix@knopper.net>  Mon, 19 May 2008 18:44:27 +0200

cloop (2.624-1) unstable; urgency=low

  * Kernel 2.6.24 api change (rq_for_each_segment)

 -- Klaus Knopper <knoppix@knopper.net>  Sat, 26 Jan 2008 13:05:45 +0100

cloop (2.623-1) unstable; urgency=low

  * Fixed alloc_disk-leak (caused modprobe cloop; rmmod cloop; modprobe cloop to fail).
  * Added support for busybox losetup.

 -- Klaus Knopper <knoppix@knopper.net>  Sun, 16 Dec 2007 23:10:01 +0200

cloop (2.622-1) unstable; urgency=low

  * Rewrite with Kernel-Thread and request-queue for Kernel 2.6.22 and up.
  * Abandoned Kernel 2.4 support.
  * Replaced obsolete advancecomp-1.9 by 1.15

 -- Klaus Knopper <knoppix@knopper.net>  Sun, 23 Sep 2007 22:19:05 +0200

cloop (2.06-2) unstable; urgency=low

  * Patch for Kernel 2.6.22 invalidate_bdev(one arg).

 -- Klaus Knopper <knoppix@knopper.net>  Tue, 10 Jul 2007 06:16:26 +0200

cloop (2.06-1) unstable; urgency=low

  * Added "cloop_suspend" ioctl and utility contributed by Fabian Franz.

 -- Klaus Knopper <knoppix@knopper.net>  Sun, 25 Feb 2007 22:25:52 +0100

cloop (2.05-1) unstable; urgency=low

  * Adopted Eduard Blochs debian buildscripts for generic cloop 2.05

 -- Klaus Knopper <knoppix@knopper.net>  Sun, 20 Aug 2006 14:10:24 +0200
