=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,10 @@
 -include $(MA_DIR)/include/generic.mk
 -include $(MA_DIR)/include/common-rules.mk
 
-NCPUS := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
+PARJOBS=-j2
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+PARJOBS = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+endif
 
 binary: binary-indep binary-arch
 
@@ -34,7 +37,7 @@
 build: configure-stamp build-stamp
 build-stamp:
 	dh_testdir
-	$(MAKE) -j$(NCPUS) utils
+	$(MAKE) $(PARJOBS) utils
 	touch build-stamp
 
 # for m-a
@@ -64,7 +67,7 @@
 	rm -f build-stamp configure-stamp
 	$(MAKE) clean || true
 	-dh_clean
-	rm -rf debian/cloop-?.?.?* debian/cloop debian/cloop-module debian/cloop-module-?.?.* debian/*.files knoppix CHANGELOG_
+	rm -rf debian/cloop-?.?.?* debian/cloop debian/cloop-module debian/cloop-module-?.?.* debian/*.files knoppix
 
 install: DH_OPTIONS=
 install: build
@@ -86,9 +89,8 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs -p cloop-src usr/src/modules/cloop
-	echo $$UID
 	tar -cf - {Makefile,*.[ch],debian/{po,compat,*template*,control*,copyright,rules,dirs,*_KVERS_*,README.Debian,changelog},README} | tar -x -C debian/cloop-src/usr/src/modules/cloop
-	cat changelog.knoppix CHANGELOG > debian/cloop-src/usr/src/modules/cloop/CHANGELOG
+	cp CHANGELOG debian/cloop-src/usr/src/modules/cloop/CHANGELOG
 	dh_fixperms -i
 	cd debian/cloop-src/usr/src ; tar -cf - modules | bzip2 -9 > cloop.tar.bz2 ; rm -rf modules
 
@@ -102,7 +104,7 @@
 	dh_installdebconf -a
 	dh_installdocs -a README debian/README.Debian
 	dh_installexamples -a cloop-node-control.sh
-	cat changelog.knoppix  CHANGELOG > CHANGELOG_ && dh_installchangelogs CHANGELOG_ -a
+	dh_installchangelogs CHANGELOG -a
 	dh_strip -a
 	dh_link -a
 	dh_compress -a
@@ -111,14 +113,14 @@
 	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
-	dh_builddeb -a
+	dh_builddeb -a -- -Zxz
 
 build-indep: configure-stamp
 	dh_testdir -i
 	dh_testroot -i
 	dh_installdocs -i README debian/README.Debian
 	dh_installexamples -i
-	cat changelog.knoppix CHANGELOG > CHANGELOG_ && dh_installchangelogs CHANGELOG_ -i
+	dh_installchangelogs CHANGELOG -i
 	dh_strip -i
 	dh_link -i
 	dh_compress -i
@@ -127,7 +129,7 @@
 	dh_shlibdeps -i
 	dh_gencontrol -i
 	dh_md5sums -i
-	dh_builddeb -i
+	dh_builddeb -i -- -Zxz
 
 .PHONY: build clean binary-indep binary-arch binary kdist kdist_image kdist_configure kdist_clean kdist
 .NOTPARALLEL:
