## cloop 3.14.1.1

=== debian/changelog ===
cloop (3.14.1.1) unstable; urgency=medium

  * Fixes build failure (old bashism)
  * Passing some configure flags to embedded compressor implementation
  * Bugfix in create_compressed_fs (fallout from previous change)
  * Restored support for kernel versions >= 3.11
  * Moved README.md (is just text) to README as hard copy, not symlink

 -- Eduard Bloch <blade@debian.org>  Sat, 25 Oct 2014 11:48:40 +0200

cloop (3.14.1) unstable; urgency=medium

  * New upstream version
    + updated version, works with kernel versions 3.14..3.17 (closes: #719128)
  * New location, now originating on Klaus Knopper's github version
  * Changed package package type to native until the mode of cooperation with
    upstream is fully clarified
  * Overhaul of debian packaging, changed to dh(7) style, auto-updating
    autotools-dev files on build now (closes: #727288)
  * Enabled hardening, fixed some minor issues in advfs.cc
  * Removed special hacks for ancient Cygwin and Mac OS X versions in
    extract_compressed_fs.c (closes: #370204)
  * Italian translation of debconf messages from Beatrice Torracca
    (closes: #714004)

 -- Eduard Bloch <blade@debian.org>  Sat, 25 Oct 2014 00:08:27 +0200

cloop (3.14-1) unstable; urgency=medium

  * Updates for Kernel >= 3.14
  * Preparing for git repository upload

 -- Klaus Knopper <knoppix@knopper.net>  Tue, 26 Aug 2014 17:14:37 +0200
