## cloop 3.14.1.2

=== debian/changelog ===
cloop (3.14.1.2) unstable; urgency=low

  * Fix the build with kernel 3.19+ (f_dentry macro removal)

 -- Eduard Bloch <blade@debian.org>  Sun, 03 May 2015 13:15:58 +0200
