## cloop 3.14.1.2b1

=== debian/changelog ===
cloop (3.14.1.2b1) staging; urgency=high

  * No-change rebuild against libstdc++6

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 27 Aug 2015 23:08:24 +0000
