## cloop 3.14.1.2ubuntu1

=== debian/changelog ===
cloop (3.14.1.2ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Do not build the cloop-src package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jan 2016 11:17:59 +0100
