## cloop 3.14.1.2ubuntu2

=== debian/changelog ===
cloop (3.14.1.2ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:36:16 +0100
