## cloop 3.14.1.2ubuntu3

=== debian/changelog ===
cloop (3.14.1.2ubuntu3) focal; urgency=medium

  * extract_compressed_fs.c: Define _DEFAULT_SOURCE to fix FTBFS with glibc
    2.28+ due to loff_t only being defined when that macro is defined.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 06 Apr 2020 22:15:53 -0400
