=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cloop
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Eduard Bloch <blade@debian.org>
 Build-Depends: debhelper (>> 9), zlib1g-dev, xz-utils, autotools-dev
 Standards-Version: 3.9.6
