## cloop 3.14.1.3

=== debian/changelog ===
cloop (3.14.1.3) unstable; urgency=medium

  * Upgrading to more recent debhelper and latest policy standards
  * Upgrading cloop kernel driver to version 5.3 (snapshot from KNOPPIX kernel
    5.4.16-64, thanks to Klaus Knopper)
  * Cherry-picked FTBFS fix from 3.14.1.2ubuntu3 (see below), keeping the
    cloop-src package build enabled (closes: #916049)

  [ Logan Rosen <logan@ubuntu.com> ]
  * extract_compressed_fs.c: Define _DEFAULT_SOURCE to fix FTBFS with glibc
    2.28+ due to loff_t only being defined when that macro is defined.

 -- Eduard Bloch <blade@debian.org>  Sun, 19 Apr 2020 10:18:13 +0200
