## cloop 3.14.1.3+nmu1build1

=== debian/changelog ===
cloop (3.14.1.3+nmu1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Dec 2025 20:55:44 +0000
